class YoutubeCredential < ApplicationRecord
  belongs_to :team

  attr_encrypted :access_token,
    key: :encryption_key,
    attribute: "access_token_encrypted",
    mode: :single_iv_salt
  attr_encrypted :refresh_token,
    key: :encryption_key,
    attribute: "refresh_token_encrypted",
    mode: :single_iv_salt

  def expired?
    expires_at.present? && expires_at < Time.current
  end

  private

  def encryption_key
    Rails.application.secret_key_base[0, 32]
  end
end
